<?php

namespace App\Http\Middleware;

use Closure;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;

class EHRAuthentication
{
    /**
     * Handle an incoming request.
     *
     * @param  \Closure(\Illuminate\Http\Request): (\Symfony\Component\HttpFoundation\Response)  $next
     */
    public function handle(Request $request, Closure $next): Response
    {
        if (session()->has('authenticated') && session('authenticated') === true) {
            return $next($request);
        }
        $slug = session()->has('customer') ? session()->get('customer') : "";
        return redirect("/$slug");
    }
}
